=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 cargo (>= 0.20),
 clang-4.0,
 debhelper (>= 10.2.5~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-4.0-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
 libjsoncpp-dev,
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.5.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-4.0-dev,
 mesa-common-dev,
 mozilla-devscripts,
 python-minimal (>= 2.6.6-13~),
 python-ply,
 python2.7,
 rustc (>= 1.19),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird
Homepage: http://www.mozilla.org/thunderbird/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.3.0

Package: thunderbird
Architecture: any
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightning (= ${source:Version}),
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
 icedove,
Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
Replaces:
 icedove (<< 1:45.6.0-2.1~),
Breaks:
 calendar-exchange-provider (<< 4.0.0~beta4-1~),
 icedove (<< 1:45.6.0-2.1~),
 enigmail (<< 2:2~),
 hunspell-ar (<< 0.0.0+20080110-1.1),
 hunspell-da (<< 1:3.1.0-3),
 hunspell-de-at (<< 20071211-2),
 hunspell-de-ch (<< 20071211-2),
 hunspell-de-de (<< 20071211-2),
 hunspell-de-med (<< 20090825-1),
 hunspell-en-ca (<< 1:3.1.0-3),
 hunspell-en-us (<< 20070829-3),
 hunspell-fr (<< 1:3.1.0-3),
 hunspell-gl-es (<< 2.2a-6),
 hunspell-hu (<< 1:3.1.0-3),
 hunspell-ko (<< 0.3.3-1),
 hunspell-ne (<< 1:3.1.0-3),
 hunspell-se (<< 1.0~beta6.20081222-1.1),
 hunspell-sh (<< 1:3.1.0-3),
 hunspell-sr (<< 1:3.1.0-3),
 hunspell-uz (<< 0.6-3.1),
 hunspell-vi (<< 1:3.1.0-3),
 lightning (<< ${source:Version}),
 myspell-af (<< 1:3.1.0-3),
 myspell-ca (<< 0.6-8),
 myspell-cs-cz (<< 20040229-4.1),
 myspell-da (<< 1.6.18-1.1),
 myspell-de-at (<< 20071211-2),
 myspell-de-ch (<< 20071211-2),
 myspell-de-de (<< 20071211-2),
 myspell-de-de-oldspell (<< 1:2-25.1),
 myspell-el-gr (<< 0.3-1.1),
 myspell-en-au (<< 2.1-5),
 myspell-en-gb (<< 1:3.1.0-3),
 myspell-en-us (<< 1:3.1.0-3),
 myspell-en-za (<< 1:3.1.0-3),
 myspell-eo (<< 2.1.2000.02.25-41),
 myspell-es (<< 1.10-7),
 myspell-et (<< 1:20030606-12.1),
 myspell-fa (<< 0.20070816-2),
 myspell-fi (<< 0.7-17.2),
 myspell-fo (<< 0.2.36-3),
 myspell-fr (<< 1.4-25),
 myspell-fr-gut (<< 1:1.0-26.1),
 myspell-ga (<< 2.0-19),
 myspell-gd (<< 0.50-7),
 myspell-gv (<< 0.50-8),
 myspell-hr (<< 20060617-2),
 myspell-hu (<< 0.99.4-1.2),
 myspell-hy (<< 0.10.1-1.1),
 myspell-it (<< 1:3.1.0-3),
 myspell-ku (<< 0.20.0-1.1),
 myspell-lv (<< 0.7.3-3.1),
 myspell-nb (<< 2.0.10-3.1),
 myspell-ne (<< 1.0-4.1),
 myspell-nl (<< 1:1.10-3),
 myspell-nn (<< 2.0.10-3.1),
 myspell-pl (<< 20090830-1),
 myspell-pt-br (<< 2009.03.30-1.1),
 myspell-pt-pt (<< 20090309-1.1),
 myspell-ru (<< 0.99g5-8.1),
 myspell-sk (<< 0.5.5a-2.1),
 myspell-sv-se (<< 1.3.8-6-2.2),
 myspell-sw (<< 1:3.1.0-3),
 myspell-th (<< 1:3.1.0-3),
 myspell-tl (<< 0.4-0-5),
 xul-ext-compactheader (<< 2.1.0~),
 xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
 xul-ext-gnome-keyring (<< 0.12-1~),
 xul-ext-sogo-connector (<< 31.0.5-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-dbg
Architecture: any
Priority: extra
Section: debug
Multi-Arch: same
Depends:
 thunderbird (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-dbg (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dbg (<< 1:45.6.0-2.1~),
Provides:
 icedove-dbg,
Description: Debug Symbols for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the debug symbols for Thunderbird. Install this package
 if you need to debug such a program or if you need a useful backtrace of a
 crash.

Package: lightning
Architecture: all
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
Suggests:
 calendar-google-provider,
 fonts-lyx,
Provides:
 calendar-timezones,
 iceowl-extension,
Breaks:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Replaces:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Description: Calendar Extension for Thunderbird
 Lightning is a calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.

Package: calendar-google-provider
Architecture: all
Depends:
 lightning (>= ${binary:Version}),
 ${misc:Depends},
Enhances:
 thunderbird,
 lightning,
Description: Google Calendar support for lightning
 This extension adds support for accessing google calendars in Thunderbird
 via lightning.
 .
 It's a recommended component if you want to connect Thunderbird to your
 Google calendar.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-si (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-all,
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Replaces:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
 lightning-l10n-ar (<< 1:60.2.1-1~),
Breaks:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
 lightning-l10n-ar (<< 1:60.2.1-1~),
Provides:
 icedove-l10n-ar,
 lightning-l10n-ar,
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Replaces:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
 lightning-l10n-ast (<< 1:60.2.1-1~),
Breaks:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
 lightning-l10n-ast (<< 1:60.2.1-1~),
Provides:
 icedove-l10n-ast,
 lightning-l10n-ast,
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Replaces:
 icedove-l10n-be (<< 1:45.6.0-2.1~),
 lightning-l10n-be (<< 1:60.2.1-1~),
Breaks:
 icedove-l10n-be (<< 1:45.6.0-2.1~),
 lightning-l10n-be (<< 1:60.2.1-1~),
Provides:
 icedove-l10n-be,
 lightning-l10n-be,
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
