## thunderbird 60.5.0

=== debian/changelog ===
thunderbird (2:60.5.0-3~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Feb 2019 16:05:14 -0800

thunderbird (1:60.5.0-3) unstable; urgency=medium

  * [3e274d8] d/rules: move disable debug option into configure step
    Adding the option '--disable-debug-symbols' to the file mozconfig.default
    in case the build is running on a 32bit architecture instead of expanding
    the variable 'CONFIGURE_FLAGS'. The configuration approach for this option
    taken from firefox-esr was not working for the thunderbird package.
  * [b3d82d3] d/rules: reorder LDFLAGS for better readability
    Make the used additional options for LDFLAGS better readable by reordering
    the various used options. Also adding the option '-Wl, --as-needed' to the
    list of used options here.
  * [62d11e3] d/rules: use 'compress-debug-sections' only on 64bit
    Do not set 'LDFLAGS += -Wl,--compress-debug-sections=zlib' globally, lets
    use this option only if we are on a 64bit architecture as otherwise the
    build is failing on 32bit architectures again. We don't want to build any
    debug information on 32bit anyway so we don't need this option on these
    platforms.
  * [6225c44] d/mozconfig.default: adding option for mipsel
    We don't have set up any options for the mipsel platform before, but the
    build needs some additional options too on this platform to succeed.
  * [4e348d9] d/mozconfig.default: disable ion on mips and mipsel
    The build will fail on mips{,el} if we have enabled ION, the JaveScript
    JIT compiler on these platforms will loose some performance by this.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 Feb 2019 17:11:25 +0100

thunderbird (1:60.5.0-2) unstable; urgency=medium

  * [aa2dbe3] d/changelog: update MFSA information for 60.5.0
    The MFSA gut published shortly after the upload of the previous version.
    Adding the CVE numbers for MFSA 2019-03 to the changelog accordingly like
    happen for 1:60.4.0-1 too.
  * [71807dc] rebuild patch queue from patch-queue branch
    Due greater changes to the source the previous rebuild and refreshing of
    the patch queue wasn't correctly nor complete. Some more rework was needed
    and some patches got cherry-picked from firefox-esr.
    readded patches (not included upstream):
    porting-mips/Bug-1444303-MIPS-Fix-build-failures-after-Bug-1425580-par.patch
    porting-mips/Bug-1444834-MIPS-Stubout-MacroAssembler-speculationBarrie.patch
    cherry-picked from firefox-esr:
    fixes/Bug-1470701-Use-run-time-page-size-when-changing-map.patch
    fixes/Bug-1505608-Try-to-ensure-the-bss-section-of-the-elf.patch
    porting-powerpc/powerpc-Don-t-use-static-page-sizes-on-powerpc.patch
    removed patches (included upstream):
    porting-s390x/FTBFS-s390x-Use-jit-none-AtomicOperations-sparc.h-on-s390.patch
  * [eaa065b] apparmor: update profile from upstream (commit 7ace41b1)
  * [c761425] d/rules: make dh_clean more robust
    Remove some regenerated files in dh_clean to the build will not fail in
    case the buils needs to be started twice within the same build environment.
  * [aa7b033] d/gbp.conf: ignore configure script while importing
    The shipped scripts '*configure' in the toplevel folder and also in js/src
    aren't needed and we can them filter out while importing the tarballs.
    These scripts got (re)created by dh_auto_configure nevertheless.
  * [9f0acb2] d/rules: tweek LDFLAGS more to reduce RAM usage
    Reduce RAM usage while linking by using compressed sections.
    (picked from firefox-esr)
  * [62f195d] d/rules: Don't build debug symbols on non 64bit platforms
    Reduce even more RAM usage while linking by don't build debugging symbols
    if we build on non 64bit architectures.
    (picked from firefox-esr)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 01 Feb 2019 09:24:30 +0100

thunderbird (1:60.5.0-1) unstable; urgency=medium

  * d/source.filter: update filter list
    Updating the list of files to filter out while repacking the upstream
    tarball based on recent work done in debian/experimental.
    Unfortunately a lot of semi minimized *.js files from the original
    upstream tarball are later needed within some integrated consoles like the
    AddOn debugger or the error console. Don't filter out such files for now.
    (Closes: #911198)
  * [edab34d] d/changelog: update MFSA information for 60.4.0
    While releasing and uploading the Debian version 1:60.4.0-1 no MFSA
    information was available, adding this information now into the changelog
    entry for 1:60.4.0-1.
  * [f3f44a3] New upstream version 60.5.0
    Fixed CVE issues in upstream version 60.5.0 (MFSA 2019-03)
    CVE-2018-18500: Use-after-free parsing HTML5 stream
    CVE-2018-18505: Privilege escalation through IPC channel messages
    CVE-2016-5824: DoS (use-after-free) via a crafted ics file
    CVE-2018-18501: Memory safety bugs fixed in Firefox 65, Firefox ESR 60.5,
                    and Thunderbird 60.5
  * [ccac089] rebuild patch queue from patch-queue branch
    removed patches (included upstream):
    porting-mips/Bug-1444303-MIPS-Fix-build-failures-after-Bug-1425580-par.patch
    porting-mips/Bug-1444834-MIPS-Stubout-MacroAssembler-speculationBarrie.patch
    removed patches (dropped by us):
    debian-hacks/Don-t-build-testing-suites-and-stuff.patch
    debian-hacks/Don-t-build-testing-suites-and-stuff-part-2.patch
    refreshed patches:
    debian-hacks/Add-another-preferences-directory-for-applications-p.patch
    porting-armel/Bug-1463035-Remove-MOZ_SIGNAL_TRAMPOLINE.-r-darchons.patch
    porting-kfreebsd-hurd/FTBFS-hurd-fixing-unsupported-platform-Hurd.patch
    porting-kfreebsd-hurd/adding-missed-HURD-adoptions.patch
    porting-kfreebsd-hurd/ipc-chromium-fix-if-define-for-kFreeBSD-and-Hurd.patch
    porting-m68k/Add-m68k-support-to-Thunderbird.patch
    porting-s390x/FTBFS-s390x-Use-jit-none-AtomicOperations-sparc.h-on-s390.patch

