## thunderbird 60.5.1

=== debian/changelog ===
thunderbird (2:60.5.1-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 15 Feb 2019 16:46:25 -0800

thunderbird (1:60.5.1-1) unstable; urgency=medium

  [ Alexander Nitsch ]
  * [c9775d4] Make the logo SVG square
    The original SVG source isn't completely square, modifying the SVG file
    so all generated other files from the input are also exactly square.
  * [6096812] Add script for generating PNGs from logo SVG
  * [4e9e5cc] Update icon PNGs to be properly scaled

  [ Carsten Schoenert ]
  * [9e5527d] d/source.filter: add some configure scripts
    Filter out some files that are named 'configure', they are rebuild later
    anyway. The filtering of these files is moved from gbp.conf to
    source.filter.
  * [b63f2a2] Revert "d/gbp.conf: ignore configure script while importing"
    Reverting this commit as we need to move the files to filter to
    source.filter as the behaviour wasn't the expected outcome.
  * [4965c2a] New upstream version 60.5.1
    Fixed CVE issues in upstream version 60.5.0 (MFSA 2019-06)
    CVE-2018-18356: Use-after-free in Skia
    CVE-2019-5785: Integer overflow in Skia
    CVE-2018-18335: Buffer overflow in Skia with accelerated Canvas 2D
    CVE-2018-18509: S/MIME signature spoofing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Feb 2019 20:01:03 +0100
