=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 # checking the release type, if $(RELEASE)=UNRELEASED we won't build
-# the thunderbird-dbg package
+# the thunderbird-dbgsym package
 include /usr/share/dpkg/pkg-info.mk
 RELEASE := $(DEB_DISTRIBUTION)
 
@@ -51,7 +51,17 @@
 # Reduce memory usage of the linker at the expense of processing time
 # This should help on lower-end architectures like arm and mips, which
 # spend an immense amount of time swapping.
-LDFLAGS += -Wl,--no-keep-memory -Wl,--reduce-memory-overheads
+LDFLAGS += -Wl,--reduce-memory-overheads
+LDFLAGS += -Wl,--no-keep-memory
+LDFLAGS += -Wl,--as-needed
+
+# Make the linker generate compressed debug sections. dh_strip would do
+# the same anyways, but it allows elfhack to work in combination with
+# unstripped binaries when they would normally be larger than 2GiB.
+# Doing this only on 64bit architectures.
+ifeq (64,$(DEB_BUILD_ARCH_BITS))
+	LDFLAGS += -Wl,--compress-debug-sections=zlib
+endif
 
 # Add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
@@ -74,6 +84,9 @@
 
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory=obj-thunderbird
+	find -type f -name "*.pyc" -exec rm {} \;
+	rm -rf third_party/python/psutil/tmp
+	rm -f configure old-configure js/src/configure js/src/old-configure mozconfig.*
 	# needed for thunderbird-l10n
 	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
 
@@ -85,6 +98,13 @@
 		cd $(CURDIR)/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	# copy the mozconfig files
 	cp debian/mozconfig.* .
+	# Disable debug symbols when building on 32-bits machines, because
+	# a) the rust compiler can't deal with it in the available address
+	# space, and b) the linker can't deal with it in the available address
+	# space either.
+ifeq (32,$(DEB_BUILD_ARCH_BITS))
+	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
+endif
 	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
 	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
 	@echo "rebuild ICU data file needed: $(ICU_BUILD)"
@@ -148,24 +168,3 @@
 		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
 		echo "working on 'lightning-l10n-$${lowercase_locale}' (finally within thunderbird-l10n-$${lowercase_locale})" ;\
 		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/lightning ;\
-		cp -a $${locale}/* $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/lightning ;\
-	done
-	dh_bash-completion
-
-override_dh_install-arch:
-	# in case of a pre-builded and installed icudt*.dat file pick it up
-	if [ -f debian/tmp/usr/lib/thunderbird/$(ICU_DATA_FILE) ]; then \
-		if ! grep -qs $(ICU_DATA_FILE) debian/thunderbird.install ; then \
-			echo "debian/tmp/usr/lib/thunderbird/$(ICU_DATA_FILE)" >> debian/thunderbird.install ;\
-		fi \
-	fi
-	dh_install
-	# install apparmor profile
-	cp debian/apparmor/usr.bin.thunderbird debian/thunderbird/etc/apparmor.d/usr.bin.thunderbird
-	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird
-
-override_dh_install-indep:
-	dh_install
-	# prepare calendar-google-provider
-	mkdir -p debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider/
-	GDATA_PROVIDER=`find -type f -name "gdata-provider*.xpi"` &&\
