## thunderbird 60.6.1

=== debian/changelog ===
thunderbird (1:60.6.1-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 28 Mar 2019 20:29:33 +0100

thunderbird (1:60.6.1-1) unstable; urgency=medium

  [ intrigeri ]
  * [2013645] d/rules: drop useless usage of dpkg-parsechangelog

  [ Carsten Schoenert ]
  * [daf1252] New upstream version 60.6.1
    Fixed CVE issues in upstream version 60.6.0 (MFSA 2019-11)
    CVE-2019-9790: Use-after-free when removing in-use DOM elements
    CVE-2019-9791: Type inference is incorrect for constructors entered 
                   through on-stack replacement with IonMonkey
    CVE-2019-9792: IonMonkey leaks JS_OPTIMIZED_OUT magic value to script
    CVE-2019-9793: Improper bounds checks when Spectre mitigations are disabled
    CVE-2019-9794: Command line arguments not discarded during execution
    CVE-2019-9795: Type-confusion in IonMonkey JIT compiler
    CVE-2019-9796: Use-after-free with SMIL animation controller
    CVE-2018-18506: Proxy Auto-Configuration file can define localhost access
                    to be proxied
    CVE-2019-9788: Memory safety bugs fixed in Firefox 66, Firefox ESR 60.6,
                   and Thunderbird 60.6
    Fixed CVE issues in upstream version 60.6.1 (MFSA 2019-12)
    CVE-2019-9810: IonMonkey MArraySlice has incorrect alias information
    CVE-2019-9813: Ionmonkey type confusion with __proto__ mutations
  * [f88a505] rebuild patch queue from patch-queue branch
    added patch:
    fixes/Bug-1526744-find-dupes.py-Calculate-md5-by-chunk.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 27 Mar 2019 18:22:51 +0100

thunderbird (1:60.5.1-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Feb 2019 16:34:16 +0100
